Bug 1473336 - Service Requests are not seen by user in Global Region
Service Requests are not seen by user in Global Region
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Replication (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.8.1
Assigned To: Yuri Rudman
Alex Newman
replication:distributed:service
: ZStream
Depends On: 1464610
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 10:03 EDT by Satoe Imaishi
Modified: 2017-08-02 13:34 EDT (History)
7 users (show)

See Also:
Fixed In Version: 5.8.1.3
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1464610
Environment:
Last Closed: 2017-08-02 13:34:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-07-20 10:13:50 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/c4cdcdae9db6d8f03176e27c82ee2134b6fe6c69

commit c4cdcdae9db6d8f03176e27c82ee2134b6fe6c69
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Jul 20 10:02:24 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jul 20 10:07:37 2017 -0400

    Merge pull request #1729 from yrudman/allow-users-with-same-userid-to-see-requests
    
    Make request visible to all users who have the same userid as requester
    (cherry picked from commit fa589927cbc09a6229f370f8f5941305456093f7)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1473336

 app/controllers/miq_request_controller.rb       | 14 ++++++-
 spec/controllers/miq_request_controller_spec.rb | 50 +++++++++++++++++++++++--
 2 files changed, 59 insertions(+), 5 deletions(-)
Comment 4 Alex Newman 2017-07-26 16:01:26 EDT
Version 5.8.1.4.20170721182148_8ed7c73
Comment 6 errata-xmlrpc 2017-08-02 13:34:22 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.